Summary:        Music Player with the aims to be intuitive, easy to use and fast
Name:           guayadeque
Version:        0.4.5
Release:        %mkrel 1
Group:          Sound/Players
License:        GPLv2+
URL:            http://www.guayadeque.org/
Source0:        https://github.com/anonbeat/guayadeque/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:		guayadeque.desktop
BuildRequires:  cmake
BuildRequires:  wxgtku-devel >= 2.8.10
BuildRequires:  sqlite3-devel
BuildRequires:  libxml2-devel
BuildRequires:  taglib-devel
BuildRequires:  curl-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  libflac-devel
BuildRequires:  dbus-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  imagemagick
BuildRequires:  libgpod-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libwxsqlite3_3.0-devel
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-libav
Requires:	libwxsqlite3_3.0_0

%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.
Some of Guayadeque Features

- Play mp3, ogg, flac, wma, wav, mpc, mp4, ape, ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios


%prep
%setup -q

%build
#remove build script conflicting with build/ folder used by cmake
rm -f ./build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#menu
install %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop


%find_lang %{name}


%files -f %{name}.lang
%doc README changelog LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Fri Jun 02 2017 adrianomorselli <adrianomorselli> 0.4.5-1uplos2017
- update
